List download streams
Returns stream metadata and available media links for required video_reference and viewer_region. Optional language_code localizes metadata.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
video_reference*string
YouTube video ID or a full watch, youtu.be, Shorts, or embed URL.
Length
1 <= lengthviewer_region*string
Two-letter country code of the person who will use the returned stream links.
Length
1 <= lengthlanguage_code?string
Language code used to localize text and audio results.
curl -X GET "https://example.com/v2/youtube/download?video_reference=M7lc1UVf-VE&viewer_region=SG" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "status": "string", "id": "string", "title": "string", "formats": [], "adaptiveFormats": [ { "property1": null, "property2": null } ], "property1": null, "property2": null }}